Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.msg
Interface Message

All Superinterfaces:
  Component

All Known Implementing Classes:
  ACK, GenericMessageImpl

    public interface Message

extends Component

This interface represents a HL7 message which contains HL7 segments.

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:28:37 $
Author:
  Harry Liu

Field Summary
`static char` | `DEFAULT_SEGMENT_TERMINATOR_CHAR`
`static java.lang.String` | `DEFAULT_SEGMENT_TERMINATOR_STRING`
`static java.lang.String` | `version`

Method Summary
`java.lang.String` | `getComponentSeparator()` Method getComponentSeparator.
`java.lang.String` | `getEscapeCharacter()` Method getEscapeCharacter.
`java.lang.String` | `getFieldSeparator()` Method getFieldSeparator.
`MSH` | `getMSH()` Returns the MSH (Message Header Segment) of this message.
`java.lang.String` | `getRepetitionSeparator()` Method getRepetitionSeparator.
`Segment[]` | `getSegments()` Method getSegments.
`java.lang.String` | `getSubcomponentSeparator()` Method getSubcomponentSeparator.
`java.lang.String` | `getVersionNumber()` Method getVersionNumber.

Methods inherited from interface com.stc.connector.hl7.framework.structure.component.Component
`getContent, getMessage, getName, marshal, setContent, setName, toXMLString, unmarshal, validate`

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

### DEFAULT_SEGMENT_TERMINATOR_CHAR

    static final char DEFAULT_SEGMENT_TERMINATOR_CHAR

See Also:
  Constant Field Values

### DEFAULT_SEGMENT_TERMINATOR_STRING

    static final java.lang.String DEFAULT_SEGMENT_TERMINATOR_STRING

Method Detail

### getMSH

    MSH getMSH()

  Returns the MSH (Message Header Segment) of this message.

  Returns:
    MSH

### getComponentSeparator

    java.lang.String getComponentSeparator()

  Method getComponentSeparator.

  Returns:
    String

### getEscapeCharacter

    java.lang.String getEscapeCharacter()

  Method getEscapeCharacter.

  Returns:
    String

### getFieldSeparator

    java.lang.String getFieldSeparator()

  Method getFieldSeparator.

  Returns:
    String

### getRepetitionSeparator

    java.lang.String getRepetitionSeparator()

  Method getRepetitionSeparator.

  Returns:
    String

### getSubcomponentSeparator

    java.lang.String getSubcomponentSeparator()

  Method getSubcomponentSeparator.

  Returns:
    String

### getVersionNumber

    java.lang.String getVersionNumber()

  Method getVersionNumber.

  Returns:
    String

### getSegments

    Segment[] getSegments()

  Method getSegments.

  Returns:
    Segment[]

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD